Account

Generate new Bitcoin address

POST/account/address/bitcoinPrivate

Generates a new, unused Bitcoin address. If no format is provided, the address will be generated in the format specified in the user's settings.

Permissions: account:deposits:write

Request Body

application/json
  1. body
format?string

The format of the address

Value in"p2wpkh""p2tr"

Response Body

OK

application/json
  1. response
address*string

The generated Bitcoin address

createdAt*string

The creation time of the address

Formatdate-time
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.account.addBitcoinAddress({})
{  "address": "bc1q...",  "createdAt": "2026-09-12T10:28:26.638Z"}